Index: trunk/examples/extended/persistency/History
===================================================================
--- trunk/examples/extended/persistency/History	(revision 1230)
+++ trunk/examples/extended/persistency/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.11 2006/06/16 12:37:52 gcosmo Exp $
+$Id: History,v 1.12 2008/08/27 10:39:40 gcosmo Exp $
 --------------------------------------------------
 
@@ -16,4 +16,8 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+Aug 27th, 2008  Gabriele Cosmo (persistencyEx-V09-01-00)
+- Added examples set for GDML plugin module.
+- Imported old GDML example placed inside extended/gdml.
 
 Jun 16th, 2006  Witold Pokorski (persistencyEx-V08-00-00)
Index: trunk/examples/extended/persistency/P01/GNUmakefile
===================================================================
--- trunk/examples/extended/persistency/P01/GNUmakefile	(revision 1230)
+++ trunk/examples/extended/persistency/P01/GNUmakefile	(revision 1337)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.2 2006/06/16 13:08:03 gcosmo Exp $
+# $Id: GNUmakefile,v 1.3 2010/01/11 17:01:48 gcosmo Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -11,5 +11,5 @@
 
 ifndef G4INSTALL
-  G4INSTALL = ../../..
+  G4INSTALL = ../../../..
 endif
 
@@ -17,5 +17,5 @@
 
 ifndef PLATFORM
-  PLATFORM = slc3_ia32_gcc323
+  PLATFORM = slc4_ia32_gcc34
 endif
 
Index: trunk/examples/extended/persistency/P01/History
===================================================================
--- trunk/examples/extended/persistency/P01/History	(revision 1230)
+++ trunk/examples/extended/persistency/P01/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.1 2006/06/16 12:31:12 gcosmo Exp $
+$Id: History,v 1.2 2010/06/06 05:12:28 perl Exp $
 -------------------------------------------------------------------
 
@@ -15,5 +15,8 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
-     
+
+June 4th, 2010  Joseph Perl (exampleP01-V09-03-00)
+- Updated vis usage.
+
 June 01, 06 W. Pokorski
 
Index: trunk/examples/extended/persistency/P01/exampleP01.cc
===================================================================
--- trunk/examples/extended/persistency/P01/exampleP01.cc	(revision 1230)
+++ trunk/examples/extended/persistency/P01/exampleP01.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: exampleP01.cc,v 1.2 2006/06/29 17:38:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/persistency/P01/include/ExP01ChamberParameterisation.hh
===================================================================
--- trunk/examples/extended/persistency/P01/include/ExP01ChamberParameterisation.hh	(revision 1230)
+++ trunk/examples/extended/persistency/P01/include/ExP01ChamberParameterisation.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01ChamberParameterisation.hh,v 1.2 2006/06/29 17:38:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/persistency/P01/include/ExP01DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/persistency/P01/include/ExP01DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/persistency/P01/include/ExP01DetectorConstruction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01DetectorConstruction.hh,v 1.2 2006/06/29 17:38:46 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/include/ExP01DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/persistency/P01/include/ExP01DetectorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/persistency/P01/include/ExP01DetectorMessenger.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01DetectorMessenger.hh,v 1.2 2006/06/29 17:38:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/include/ExP01EventAction.hh
===================================================================
--- trunk/examples/extended/persistency/P01/include/ExP01EventAction.hh	(revision 1230)
+++ trunk/examples/extended/persistency/P01/include/ExP01EventAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01EventAction.hh,v 1.2 2006/06/29 17:38:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/include/ExP01MagneticField.hh
===================================================================
--- trunk/examples/extended/persistency/P01/include/ExP01MagneticField.hh	(revision 1230)
+++ trunk/examples/extended/persistency/P01/include/ExP01MagneticField.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01MagneticField.hh,v 1.2 2006/06/29 17:38:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/persistency/P01/include/ExP01PhysicsList.hh
===================================================================
--- trunk/examples/extended/persistency/P01/include/ExP01PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/persistency/P01/include/ExP01PhysicsList.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01PhysicsList.hh,v 1.2 2006/06/29 17:38:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/include/ExP01PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/persistency/P01/include/ExP01PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/persistency/P01/include/ExP01PrimaryGeneratorAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01PrimaryGeneratorAction.hh,v 1.2 2006/06/29 17:38:58 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/include/ExP01RunAction.hh
===================================================================
--- trunk/examples/extended/persistency/P01/include/ExP01RunAction.hh	(revision 1230)
+++ trunk/examples/extended/persistency/P01/include/ExP01RunAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01RunAction.hh,v 1.2 2006/06/29 17:39:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/include/ExP01SteppingAction.hh
===================================================================
--- trunk/examples/extended/persistency/P01/include/ExP01SteppingAction.hh	(revision 1230)
+++ trunk/examples/extended/persistency/P01/include/ExP01SteppingAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01SteppingAction.hh,v 1.2 2006/06/29 17:39:04 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/include/ExP01SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/persistency/P01/include/ExP01SteppingVerbose.hh	(revision 1230)
+++ trunk/examples/extended/persistency/P01/include/ExP01SteppingVerbose.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01SteppingVerbose.hh,v 1.2 2006/06/29 17:39:06 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //   This class manages the verbose outputs in G4SteppingManager. 
Index: trunk/examples/extended/persistency/P01/include/ExP01TrackerHit.hh
===================================================================
--- trunk/examples/extended/persistency/P01/include/ExP01TrackerHit.hh	(revision 1230)
+++ trunk/examples/extended/persistency/P01/include/ExP01TrackerHit.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01TrackerHit.hh,v 1.2 2006/06/29 17:39:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/include/ExP01TrackerSD.hh
===================================================================
--- trunk/examples/extended/persistency/P01/include/ExP01TrackerSD.hh	(revision 1230)
+++ trunk/examples/extended/persistency/P01/include/ExP01TrackerSD.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01TrackerSD.hh,v 1.2 2006/06/29 17:39:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/src/ExP01ChamberParameterisation.cc
===================================================================
--- trunk/examples/extended/persistency/P01/src/ExP01ChamberParameterisation.cc	(revision 1230)
+++ trunk/examples/extended/persistency/P01/src/ExP01ChamberParameterisation.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01ChamberParameterisation.cc,v 1.2 2006/06/29 17:39:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/src/ExP01DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/persistency/P01/src/ExP01DetectorConstruction.cc	(revision 1230)
+++ trunk/examples/extended/persistency/P01/src/ExP01DetectorConstruction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01DetectorConstruction.cc,v 1.2 2006/06/29 17:39:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo...... 
Index: trunk/examples/extended/persistency/P01/src/ExP01DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/persistency/P01/src/ExP01DetectorMessenger.cc	(revision 1230)
+++ trunk/examples/extended/persistency/P01/src/ExP01DetectorMessenger.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01DetectorMessenger.cc,v 1.2 2006/06/29 17:39:20 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/src/ExP01EventAction.cc
===================================================================
--- trunk/examples/extended/persistency/P01/src/ExP01EventAction.cc	(revision 1230)
+++ trunk/examples/extended/persistency/P01/src/ExP01EventAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01EventAction.cc,v 1.2 2006/06/29 17:39:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/src/ExP01MagneticField.cc
===================================================================
--- trunk/examples/extended/persistency/P01/src/ExP01MagneticField.cc	(revision 1230)
+++ trunk/examples/extended/persistency/P01/src/ExP01MagneticField.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01MagneticField.cc,v 1.2 2006/06/29 17:39:26 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //  
 //   User Field class implementation.
Index: trunk/examples/extended/persistency/P01/src/ExP01PhysicsList.cc
===================================================================
--- trunk/examples/extended/persistency/P01/src/ExP01PhysicsList.cc	(revision 1230)
+++ trunk/examples/extended/persistency/P01/src/ExP01PhysicsList.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01PhysicsList.cc,v 1.2 2006/06/29 17:39:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/src/ExP01PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/persistency/P01/src/ExP01PrimaryGeneratorAction.cc	(revision 1230)
+++ trunk/examples/extended/persistency/P01/src/ExP01PrimaryGeneratorAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01PrimaryGeneratorAction.cc,v 1.2 2006/06/29 17:39:32 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/src/ExP01RunAction.cc
===================================================================
--- trunk/examples/extended/persistency/P01/src/ExP01RunAction.cc	(revision 1230)
+++ trunk/examples/extended/persistency/P01/src/ExP01RunAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01RunAction.cc,v 1.2 2006/06/29 17:39:34 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/src/ExP01SteppingAction.cc
===================================================================
--- trunk/examples/extended/persistency/P01/src/ExP01SteppingAction.cc	(revision 1230)
+++ trunk/examples/extended/persistency/P01/src/ExP01SteppingAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01SteppingAction.cc,v 1.2 2006/06/29 17:39:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/src/ExP01SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/persistency/P01/src/ExP01SteppingVerbose.cc	(revision 1230)
+++ trunk/examples/extended/persistency/P01/src/ExP01SteppingVerbose.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01SteppingVerbose.cc,v 1.2 2006/06/29 17:39:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/src/ExP01TrackerHit.cc
===================================================================
--- trunk/examples/extended/persistency/P01/src/ExP01TrackerHit.cc	(revision 1230)
+++ trunk/examples/extended/persistency/P01/src/ExP01TrackerHit.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01TrackerHit.cc,v 1.2 2006/06/29 17:39:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/src/ExP01TrackerSD.cc
===================================================================
--- trunk/examples/extended/persistency/P01/src/ExP01TrackerSD.cc	(revision 1230)
+++ trunk/examples/extended/persistency/P01/src/ExP01TrackerSD.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP01TrackerSD.cc,v 1.2 2006/06/29 17:39:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P01/vis.mac
===================================================================
--- trunk/examples/extended/persistency/P01/vis.mac	(revision 1230)
+++ trunk/examples/extended/persistency/P01/vis.mac	(revision 1337)
@@ -7,28 +7,72 @@
 /control/verbose 2
 /run/verbose 2
+# Use this open statement to create an OpenGL view:
+/vis/open OGL 600x600-0+0
 #
-# create empty scene
+# Use this open statement to create a .prim file suitable for
+# viewing in DAWN:
+#/vis/open DAWNFILE
 #
-/vis/scene/create
+# Use this open statement to create a .heprep file suitable for
+# viewing in HepRApp:
+#/vis/open HepRepFile
 #
-# Create a scene handler for a specific graphics system
-# (Edit the next line(s) to choose another graphic system)
+# Use this open statement to create a .wrl file suitable for
+# viewing in a VRML viewer:
+#/vis/open VRML2FILE
 #
-/vis/open OGLIX
+# Disable auto refresh and quieten vis messages whilst scene and
+# trajectories are established:
+/vis/viewer/set/autoRefresh false
+/vis/verbose errors
 #
-####/vis/open DAWNFILE
+# Draw geometry:
+/vis/drawVolume
 #
-# draw scene
+# Specify view angle:
+/vis/viewer/set/viewpointThetaPhi 90. 180.
 #
-/vis/viewer/set/viewpointThetaPhi 90 180 deg
+# Specify zoom value:
 /vis/viewer/zoom 1.4
-/vis/viewer/flush
 #
-# for drawing the tracks
-# (if too many tracks cause core dump => storeTrajectory 0)
-/tracking/storeTrajectory 1
-/vis/scene/add/trajectories
-# (if you prefer refreshing each event, comment out next line)
+# Specify style (surface or wireframe):
+#/vis/viewer/set/style wireframe
+#
+# Draw coordinate axes:
+#/vis/scene/add/axes 0 0 0 1 m
+#
+# Draw smooth trajectories at end of event, showing trajectory points
+# as markers 2 pixels wide:
+/vis/scene/add/trajectories smooth
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 2
+# (if too many tracks cause core dump => /tracking/storeTrajectory 0)
+#
+# Draw hits at end of event:
+#/vis/scene/add/hits
+#
+# To draw only gammas:
+#/vis/filtering/trajectories/create/particleFilter
+#/vis/filtering/trajectories/particleFilter-0/add gamma
+#
+# To invert the above, drawing all particles except gammas,
+# keep the above two lines but also add:
+#/vis/filtering/trajectories/particleFilter-0/invert true
+#
+# Many other options are available with /vis/modeling and /vis/filtering.
+# For example, to select colour by particle ID:
+#/vis/modeling/trajectories/create/drawByParticleID
+#/vis/modeling/trajectories/drawByParticleID-0/set e- blue
+#
+# To superimpose all of the events from a given run:
 /vis/scene/endOfEventAction accumulate
 #
+# Re-establish auto refreshing and verbosity:
+/vis/viewer/set/autoRefresh true
+/vis/verbose warnings
+#
+# For file-based drivers, use this to create an empty detector view:
+#/vis/viewer/flush
+#
 /run/beamOn 10
Index: trunk/examples/extended/persistency/P02/GNUmakefile
===================================================================
--- trunk/examples/extended/persistency/P02/GNUmakefile	(revision 1230)
+++ trunk/examples/extended/persistency/P02/GNUmakefile	(revision 1337)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.1 2007/11/29 17:05:21 witoldp Exp $
+# $Id: GNUmakefile,v 1.2 2010/01/11 17:03:09 gcosmo Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -11,5 +11,5 @@
 
 ifndef G4INSTALL
-  G4INSTALL = ../../..
+  G4INSTALL = ../../../..
 endif
 
Index: trunk/examples/extended/persistency/P02/History
===================================================================
--- trunk/examples/extended/persistency/P02/History	(revision 1230)
+++ trunk/examples/extended/persistency/P02/History	(revision 1337)
@@ -14,5 +14,8 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
-     
+
+June 4th, 2010  Joseph Perl (exampleP02-V09-03-00)
+- Updated vis usage.
+
 November 22, 07 W. Pokorski (exampleP02-V09-00-00)
 
Index: trunk/examples/extended/persistency/P02/exampleP02.cc
===================================================================
--- trunk/examples/extended/persistency/P02/exampleP02.cc	(revision 1230)
+++ trunk/examples/extended/persistency/P02/exampleP02.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: exampleP02.cc,v 1.1 2007/11/29 17:05:21 witoldp Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/persistency/P02/include/ExP02PhysicsList.hh
===================================================================
--- trunk/examples/extended/persistency/P02/include/ExP02PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/persistency/P02/include/ExP02PhysicsList.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP02PhysicsList.hh,v 1.1 2007/11/29 17:05:22 witoldp Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P02/include/ExP02PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/persistency/P02/include/ExP02PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/persistency/P02/include/ExP02PrimaryGeneratorAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP02PrimaryGeneratorAction.hh,v 1.1 2007/11/29 17:05:22 witoldp Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P02/src/ExP02PhysicsList.cc
===================================================================
--- trunk/examples/extended/persistency/P02/src/ExP02PhysicsList.cc	(revision 1230)
+++ trunk/examples/extended/persistency/P02/src/ExP02PhysicsList.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExP02PhysicsList.cc,v 1.2 2007/12/10 16:29:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/persistency/P02/vis.mac
===================================================================
--- trunk/examples/extended/persistency/P02/vis.mac	(revision 1230)
+++ trunk/examples/extended/persistency/P02/vis.mac	(revision 1337)
@@ -9,27 +9,72 @@
 /tracking/verbose 2
 #
-# create empty scene
+# Use this open statement to create an OpenGL view:
+/vis/open OGL 600x600-0+0
 #
-/vis/scene/create
+# Use this open statement to create a .prim file suitable for
+# viewing in DAWN:
+#/vis/open DAWNFILE
 #
-# Create a scene handler for a specific graphics system
-# (Edit the next line(s) to choose another graphic system)
+# Use this open statement to create a .heprep file suitable for
+# viewing in HepRApp:
+#/vis/open HepRepFile
 #
-/vis/open OGLIX
+# Use this open statement to create a .wrl file suitable for
+# viewing in a VRML viewer:
+#/vis/open VRML2FILE
 #
-####/vis/open DAWNFILE
+# Disable auto refresh and quieten vis messages whilst scene and
+# trajectories are established:
+/vis/viewer/set/autoRefresh false
+/vis/verbose errors
 #
-# draw scene
+# Draw geometry:
+/vis/drawVolume
 #
-/vis/viewer/set/viewpointThetaPhi 60 60 deg
+# Specify view angle:
+/vis/viewer/set/viewpointThetaPhi 60. 60.
+#
+# Specify zoom value:
 /vis/viewer/zoom 1.4
-/vis/viewer/flush
 #
-# for drawing the tracks
-# (if too many tracks cause core dump => storeTrajectory 0)
-/tracking/storeTrajectory 1
-/vis/scene/add/trajectories
-# (if you prefer refreshing each event, comment out next line)
+# Specify style (surface or wireframe):
+#/vis/viewer/set/style wireframe
+#
+# Draw coordinate axes:
+#/vis/scene/add/axes 0 0 0 1 m
+#
+# Draw smooth trajectories at end of event, showing trajectory points
+# as markers 2 pixels wide:
+/vis/scene/add/trajectories smooth
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 2
+# (if too many tracks cause core dump => /tracking/storeTrajectory 0)
+#
+# Draw hits at end of event:
+#/vis/scene/add/hits
+#
+# To draw only gammas:
+#/vis/filtering/trajectories/create/particleFilter
+#/vis/filtering/trajectories/particleFilter-0/add gamma
+#
+# To invert the above, drawing all particles except gammas,
+# keep the above two lines but also add:
+#/vis/filtering/trajectories/particleFilter-0/invert true
+#
+# Many other options are available with /vis/modeling and /vis/filtering.
+# For example, to select colour by particle ID:
+#/vis/modeling/trajectories/create/drawByParticleID
+#/vis/modeling/trajectories/drawByParticleID-0/set e- blue
+#
+# To superimpose all of the events from a given run:
 /vis/scene/endOfEventAction accumulate
 #
+# Re-establish auto refreshing and verbosity:
+/vis/viewer/set/autoRefresh true
+/vis/verbose warnings
+#
+# For file-based drivers, use this to create an empty detector view:
+#/vis/viewer/flush
+#
 /run/beamOn 1
Index: trunk/examples/extended/persistency/README
===================================================================
--- trunk/examples/extended/persistency/README	(revision 1230)
+++ trunk/examples/extended/persistency/README	(revision 1337)
@@ -5,6 +5,9 @@
 This directory contains a set of persistency examples.
 
-   P01        ROOT I/O example for storing and retrieving calorimeter hits
+   P01        Root I/O example for storing and retrieving calorimeter hits.
+   P02        Root I/O example for storing and reading geometry objects.
+   P03        Example of detector geometry persistency in ASCII text format.
 
-See the README file in P01 for more detail.
+   gdml       Set of examples showing usage of the GDML plugin module in Geant4.
 
+See the README file inside each example for more detail.
